//	https://www.ps-scripts.com/viewtopic.php?f=66&t=7057	/	CS2, CS5.1	/	Kukurykus	/	13.08.2016

//	it applys layer opacity and layer blend mode (in two version: object and array)

if (documents.length) {
	#target photoshop
	bringToFront()
	
	//	OBJECT STYLE:
	obj = {1: 'COLORBLEND', 2: 'COLORBURN', 3: 'COLORDODGE', 4: 'DARKEN', 5: 'DIFFERENCE', 6: 'DISSOLVE',
	7: 'EXCLUSION', 8: 'HARDLIGHT', 9: 'HUE', 10: 'LIGHTEN', 11: 'LINEARBURN', 12: 'LINEARDODGE',
	13: 'LINEARLIGHT', 14: 'LUMINOSITY', 15: 'MULTIPLY', 16: 'NORMAL', 17: 'OVERLAY', 18: 'PASSTHROUGH',
	19: 'PINLIGHT', 20: 'SATURATION', 21: 'SCREEN', 22: 'SOFTLIGHT', 23: 'VIVIDLIGHT'}

	for(i in obj) obj[i] = eval('BlendMode.' + obj[i]);

	(aD = activeDocument).flatten(); (aL = aD.activeLayer).isBackgroundLayer = 0, aL.name = "Original picture"

	for(j = 0, nme = ["Filter", "Vignette", "Texture", "Frame"]; j < nme.length; j++) {
		(lyr = aD.artLayers.add()).name = nme[j], lyr.blendMode = obj[[5, 17, 1, 3][j]]
		lyr.opacity = 50 - (!j ? 15 : 0), nme.splice(j, 1, lyr)
	}

	//	ARRAY STYLE:
	arr = ['COLORBLEND', 'COLORBURN', 'COLORDODGE', 'DARKEN', 'DIFFERENCE', 'DISSOLVE', 'EXCLUSION',
	'HARDLIGHT', 'HUE', 'LIGHTEN', 'LINEARBURN', 'LINEARDODGE', 'LINEARLIGHT', 'LUMINOSITY', 'MULTIPLY',
	'NORMAL', 'OVERLAY', 'PASSTHROUGH', 'PINLIGHT', 'SATURATION', 'SCREEN', 'SOFTLIGHT', 'VIVIDLIGHT']

	for(i = 0; i < arr.length; i++) arr.splice(i, 1, eval('BlendMode.' + arr[i]));

	(aD = activeDocument).flatten(); (aL = aD.activeLayer).isBackgroundLayer = 0, aL.name = "Original picture"

	for(j = 0, nme = ["Filter", "Vignette", "Texture", "Frame"]; j < nme.length; j++) {
		(lyr = aD.artLayers.add()).name = nme[j], lyr.blendMode = arr[[4, 16, 0, 2][j]]
		lyr.opacity = 50 - (!j ? 15 : 0), nme.splice(j, 1, lyr)
	}
}
else alert('There must be opened at least one document!')